
Foniatr - Task #223
Bug # 273 (New): Stav k 21-10-2015 seznam probblemu k doreseni, deleni dle priority
Feature # 177 (Resolved): Struktura stimulů pro testy

Skupiny stimulu 
25 May 2015 10:15 - Tomáš Kulhánek

Status: Resolved Start date: 25 May 2015
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 16.00 hours
Target version: Psychotest2 Spent time: 9.00 hours
Description

a. Správa stimulů- struktura složek se stimuly patřící k jednotlivým testům by měla být unikátní, tedy:
i. Pro každý test by byla vytvořena přidružena unikátní složka, kam se vloží stimuly – důležité je, že do testu může být vložen jenom
stimul patřící ke konkrétnímu testu, tak aby stimuly nemohly být zaměněny s jinými stimuly jiných testů se stejným jménem.
ii. Vkládání a definici stimulů případně pravidel nad nimi definuje administrátor testu.

History
#1 - 23 July 2015 13:46 - Tomáš Kulhánek
- % Done changed from 0 to 80
- Parent task set to #177

#2 - 23 July 2015 15:01 - Tomáš Kulhánek
- Estimated time set to 4.00
- Remaining (hours) set to 4.0

#3 - 05 November 2015 12:13 - Tomáš Kulhánek
- % Done changed from 80 to 40
- Estimated time changed from 4.00 to 16.00

From Bug #273

A) Databáze stimulů a případně jejich vlastností a k nim přidruženým informacím - v tabulce (databáze) - tedy asi jako proměnná,
Možné využití:
1. seznam pro edukační mód s definovanými odpověďmi (částečně dokončeno), nutno doplnit i možnost dopsání i jiných informace pro edukační mód
(například u audia a videí časové informace - kde se nějaký jev objevuje, a jiné...)
2. správa výběru stimulů pro velké výzkumní testy (tedy po přihlášení se hodnotitele bude pokračovat v předchozím testu), možné způsoby výběru
stimulů při pokračování
a. manuálním výběrem stimulů z banky ještě nehodnocených samotným hodnotitelem
b. předdefinovaným způsobem od administrátora (např. náhodným výběrem N stimulů (buď definováno administrátorem, nebo možnost volby
hodnotitelem - kolik chce hodnotit) nebo postupním, z definované skupiny

#4 - 05 November 2015 13:50 - Tomáš Kulhánek

fixed - screen per 2 stimulus width

#5 - 05 November 2015 16:25 - Tomáš Kulhánek
- % Done changed from 40 to 50
pridan novy typ artefaktu - skupina stimulu ktera definuje vycet souboru.

stimuligroup hlasycisel
  stimuli 1.wav
  stimuli 2.wav
  stimuli 3.wav
  stimuli 4.wav

tento artefakt bude moct byt pouzit pri nahrazovani stimulu rozsireneho testu, nebo standardne jako seznam skupin stimulu pro obrazovku

Zamysleny ucel, by mohl pridat prvek OOP do DSL jazyka:

test mujtest
  extends GRBAS #GRBAS je jiny test, definovany standardnim zpusobem
  with stimuligroup hlasycisel # vsechny stimuli v GRBAS se nahradi postupne v poradi jak jsou stimuli z teto skupiny

Pokud uz drive byl definovan test GRBAS jako:

test GRBAS
  screen per 1
   stimuli a.wav
   task G
     values 1 2 3 4 5
...

Pak z toho system interpretuje mujtest jako 

test mujtest
  screen per 1
   stimuli 1.wav
   stimuli 2.wav
   stimuli 3.wav
   task G
     values 1 2 3 4 5
...

#6 - 13 November 2015 21:37 - Tomáš Kulhánek
- Status changed from New to Resolved
- % Done changed from 50 to 100
- Remaining (hours) changed from 4.0 to 0.0
Stimuligroup  definuje skupinu stimulu, co radek, to stimul nebo n-tice stimulu

stimuligroup [nazev]
  1.wav
  2.wav
  3.mp4 4.mp4
  5.txt
  6.png
